Unable to process tracks with Cyrillic in artist/title

January 31, 2013 12:24 - Eugene Paskevich

Status: Rejected Start date: January 31, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/lyricwiki Estimated time: 0.00 hour

Target version:    

Affects version: 3.4   

Description

When plugin encounters tracks with Cyrillic in its artist or title fields,

the following error is displayed in the textarea.

Error

Unable to parse 

http://lyrics.wikia.com/api.php?action=lyrics&artist=%D0%9A%D0%B8%D0%BD%D0%BE&song=%D0%9A%D1%83%D0%BA%D1

%83%D1%88%D0%BA%D0%B0&fmt=xml

History

#1 - January 31, 2013 12:47 - Eugene Paskevich

Only in case if there are lyrics available on site.

#2 - February 01, 2013 00:19 - John Lindgren

- Status changed from New to Rejected

- Target version deleted (3.4)

The linked XML file is invalid.  Not a bug.

$ xmllint test.xml 

test.xml:8: parser error : Input is not proper UTF-8, indicate encoding !

Bytes: 0xD0 0x5B 0x2E 0x2E

Камнем лежать или �[...]</lyrics>

                                 ^
